package com.patzn.lims.frame.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.entity.LmsFrameCheckManage;
import com.patzn.lims.frame.entity.LmsFrameFile;
import com.patzn.lims.frame.vo.LmsFrameCheckManageVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author patzn123
 * @since 2018-01-09
 */
public interface ILmsFrameCheckManageService extends IBaseService<LmsFrameCheckManage> {


    Page<LmsFrameCheckManage> page(Page<LmsFrameCheckManage> page, LmsFrameCheckManage lmsFrameCheckManage);


    List<LmsFrameCheckManage> list(LmsFrameCheckManage lmsFrameCheckManage);

    LmsFrameCheckManageVO getVOById(Long id);

    LmsFrameCheckManageVO getTempVO();

    Boolean edit(LmsFrameCheckManage lmsFrameCheckManage);

    Boolean add(LmsFrameCheckManage lmsFrameCheckManage);

    Boolean delete(Long[] ids);

    LmsFrameFile uploadFile(MultipartFile file, LmsFrameCheckManage lmsFrameCheckManage);

    void downloadFile(Long id, HttpServletResponse response);

    Boolean deleteFile(Long id);

    Boolean submit(List<Long> longs);

    boolean existByIds(Long[] ids);
}
